Skip to main content
GET
/
fleet
/
vehicles
/
immobilizer
/
stream
[beta] Get engine immobilizer states
curl --request GET \
  --url https://api.samsara.com/fleet/vehicles/immobilizer/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "happenedAtTime": "2019-06-13T19:08:25Z",
      "isConnectedToVehicle": false,
      "relayStates": [
        {
          "id": "relay1",
          "isOpen": true
        }
      ],
      "vehicleId": "1234"
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

vehicleIds
string
required

A filter on the data based on this comma-separated list of vehicle IDs and externalIds. Example: vehicleIds=1234,5678,samsara.vin:1HGBH41JXMN109186

startTime
string
required

A start time in RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

A list of engine immobilizer states in ascending order of happenedAtTime.

pagination
object
required

Pagination parameters.